This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 76393 - Bad: problem in "echo"
Bad: problem in "echo"
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 05:34 EDT by Onur TAN
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 12:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Onur TAN 2002-10-21 05:34:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Bad: I always use csh in my console. the program "echo" could use backslash
options (\t or \n) in RH7.3. I have installed RH8, and the command lines in my
csh scripts can not print a newline (\n) or a tab (\t). When i use tcsh, echo
runs properly. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.echo "linux \n"
2.
3.
	

Actual Results:  > linux \n
>

Expected Results:  >linux
 (one blank line)
>

Additional info:
Comment 1 nessus 2002-12-13 18:34:52 EST
This is a tcsh feature, not a csh feature.  Why don't you use tcsh instead?

(Actually, they are the same executable, but apparently some csh-compatibility
options turn on if you invoke tcsh via csh.)
Comment 2 Miloslav Trmač 2004-08-19 12:12:44 EDT
You can change the behavior by setting the echo_style variable.
Changing the default would break too many existing scripts,
as well as arbitrarily diverging from upstream.

Note You need to log in before you can comment on or make changes to this bug.